<html>
<head></head>
<body>
<input type="number" placeholder="number 1" id = "chislo_1">
<input type="number" placeholder="number 2" id = "chislo_2">
<p id="resultat" style="background-color: red;"></p>
<button id="btn_rezultat">Dai rezultat</button>

    <script>
        let btnRez = document.getElementById('btn_rezultat');

        btnRez.onclick = function(){
            let a = document.getElementById('chislo_1').value;
            let b = document.getElementById('chislo_2').value;
             let c = parseInt(a) + parseInt(b);
             console.log(c);
             document.getElementById("resultat").innerHTML = c;

        };
        
        </script>
</body>
</html>

<!--input - это элемент ввода данных, type = text, number, date, checkbox-->